job_descriptions = [
    {
        "title": "Software Engineer",
        "profession": "Information Technology",
        "description": """Job brief
We are looking for an outstanding Web Developer to be responsible for the coding, innovative design and layout of our website. Web developer responsibilities include building our website from concept all the way to completion from the bottom up, fashioning everything from the home page to site layout and function.Responsibilities
Write well designed, testable, efficient code by using best software development practices
Create website layout/user interface by using standard HTML/CSS practices
Integrate data from various back-end services and databases
Gather and refine specifications and requirements based on technical needs
Create and maintain software documentation
Be responsible for maintaining, expanding, and scaling our site
Stay plugged into emerging technologies/industry trends and apply them into operations and activities
Cooperate with web designers to match visual design intent
Requirements and skills
Proven working experience in web programming
Top-notch programming skills and in-depth knowledge of modern HTML/CSS
Familiarity with at least one of the following programming languages: PHP, ASP.NET, Javascript or Ruby on Rails
A solid understanding of how web applications work including security, session management, and best development practices
Adequate knowledge of relational database systems, Object Oriented Programming and web application development
Hands-on experience with network diagnostics, network analytics tools
Basic knowledge of Search Engine Optimization process
Aggressive problem diagnosis and creative problem solving skills
Strong organizational skills to juggle multiple tasks within the constraints of  timelines and budgets with business acumen
Ability to work and thrive in a fast-paced environment, learn rapidly and master diverse web technologies and techniques.
BS in computer science or a related field""",
        "requirements": ["Proficiency in Python, Java, or C++", "Experience with web development frameworks like Django or Flask", "Strong problem-solving and analytical skills"],
        "benefits": ["Competitive salary", "Opportunities for career growth", "Healthcare and retirement benefits"]
    },
    {
        "title": "Marketing Manager",
        "profession": "Marketing",
        "description": """Job brief
We are looking for a specialized Game Developer to turn a game idea into code on a fast moving environment. You will be involved in various aspects of game’s creation from concept to finished product including coding, programming, audio, design, production and visual arts.

Responsibilities
Translate requirements into complicated but clean and efficient code
Construct the base or the engine on which the game will run
Produce prototypes of gameplay ideas and features
Develop schedules and determine milestones
Generate game scripts and storyboards
Animate characters and objects
Contribute to the design and audio features of the game
Create unit tests and validation procedures to assure quality
Detect identification and resolution and document technical specifications
“Polish” the game, maintain code, fix bugs and iron out occurring problems
Requirements and skills
Proven working experience in full lifecycle game development
Hands on experience primarily with C++ or other programming languages (Java, C, etc)
High level knowledge of APIs and libraries
Expert in one or more programming specialties (artificial intelligence, 3D Rendering, 3D animation, physics, multiplayer/networking, or audio)
Up-to-date with the latest gaming trends, techniques, best practices and technologies
Ability to solve problems creatively and effectively
BS degree in Computer Science or Games Technology""",
    },
    {
        "title": "Civil Engineer",
        "profession": "Engineering",
        "description": """Job brief
We are looking for a PHP Developer who is dedicated to the craft, writes code that they are proud of and can hit the ground running.

What does a PHP Developer do?
A PHP Developer writes beautiful, fast PHP to a high standard, in a timely and scalable way that improves the code-base of our products in meaningful ways.

You will be a part of a full-stack creative team that is responsible for all aspects of the ongoing software development from the initial specification, through to developing, testing and launching.

Responsibilities
Write “clean”, well-designed code
Produce detailed specifications
Troubleshoot, test and maintain the core product software and databases to ensure strong optimization and functionality
Contribute in all phases of the development lifecycle
Follow industry best practices
Develop and deploy new features to facilitate related procedures and tools if necessary
Requirements and skills
Proven software development experience in PHP
Understanding of open source projects like Joomla, Drupal, Wikis, osCommerce, etc
Demonstrable knowledge of web technologies including HTML, CSS, Javascript, AJAX etc
Good knowledge of relational databases, version control tools and of developing web services
Experience in common third-party APIs (Google, Facebook, Ebay etc)
Passion for best design and coding practices and a desire to develop new bold ideas
BS/MS degree in Computer Science, Engineering or a related subject""",
    },
    {
        "title": "Financial Analyst",
        "profession": "Finance",
        "description": """Job brief
We are looking for a Java Software Engineer to help us build functional products and applications.

Java Software Engineer responsibilities include defining software requirements, writing clean and efficient code for various applications and running tests to improve system functionality. If you have hands-on experience with programming in Java and are interested in agile methodologies, we’d like to meet you.

Ultimately, you’ll implement and maintain Java components and frameworks throughout the software development life cycle.

Responsibilities
Analyze user and system requirements
Design flowcharts to illustrate software solutions
Write efficient code based on feature specifications
Develop user interfaces
Prioritize and execute tasks in the software development life cycle
Design database architecture
Test and debug Java applications
Validate software functionality and security
Requirements and skills
Work experience as a Java Software Engineer, Java Developer or similar role
Experience building Java EE applications
Familiarity with Object-Oriented Design (OOD)
Good knowledge of popular Java frameworks like JSF and Spring MVC
Experience with test-driven development
Problem-solving skills
BSc in Computer Science, Engineering or relevant field""",
    }
]
